Subject: small bootloader that passes arguments

From: khollan <[email-masked]>
Date: Mon, 12 Nov 2007 11:54:19 -0800 (PST)

Hi,

I would like to create a small bootloader that is able to pass kernel
arguments and boot a linux kernel.  Im using a xilinx PPC, and have already
booted a working kernel with a Xilinx provided XMD bootloader over USB.  My
main question is how does a bootloader pass these arguments to the kernel
before booting it?  Most specifically the root=/dev/xsa1 command so I can
tell it to either boot from compact flash or NFS.

I really don't want to try and port U-boot since I don't need the bells and
whistles and I want it to fit in the BRAM of the FPGA so it will load when I
load the hardware configuration.
-- 
View this message in context: http://www.nabble.com/small-bootloader-that-passes-arguments-tf4793411.html#a13712778
Sent from the linuxppc-embedded mailing list archive at Nabble.com.